POST
/v1/proofs

Submit Proof Request

Authorization
stringrequired
Query
stringrequired

Program ID to generate proof for

Body
string[]required

Hex string array: 0x01 prefix + bytes, or 0x02 prefix + u32 LE field elements

Submit Proof Request

Authorizations

Axiom-API-Key
string
header
required

Query Parameters

program_id
string
required

Program ID to generate proof for

proof_type
string
default:stark

The type of proof to generate. must be one of: evm, stark

num_gpus
integer | null

Number of GPUs to use for this proof. If not provided, uses the program's default_num_gpus setting.

Required range: 1 <= x <= 10000
priority
integer
default:3

Priority level for this proof (1-10, where 10 is highest priority)

Required range: 1 <= x <= 10

Body

input
string[]
required

Hex string array: 0x01 prefix + bytes, or 0x02 prefix + u32 LE field elements

Response

application/json

Successful Response

Generic response for POST operations.

id
string
required

Use the up and down arrow keys to select a result, Enter to open it, and Escape to close search.